#!/bin/bash

#### This script is part of "RNA-seq data analysis: from raw reads to differential expression" tutorial of keepsciencegoing.org initiative. 
#### You can find explanations and references in the related videos under keepsciencegoing.org
#### The script is provided "as is" for educational purposes. 
#### Author: Daniele Tavernari ( daniele.tavernari@unil.ch ), Date: 12th April 2020

# Define your base directory
basedir="/path_to_your_base_directory/"

# Define your Tools, Data and STAR directories
ToolsDir=${basedir}"Tools/"

# Add RSEM path to the PATH environment variable
export PATH=$PATH:${ToolsDir}RSEM-1.3.3/

# Create directory where RSEM reference files will be stored
mkdir -p ${ToolsDir}/RSEM-1.3.3/ref/

# Run rsem-prepare-reference
${ToolsDir}/RSEM-1.3.3/rsem-prepare-reference --gtf ${ToolsDir}"/ref_ucsc_hg38/hg38.refGene.gtf" ${ToolsDir}"/ref_ucsc_hg38/hg38.fa" ${ToolsDir}"RSEM-1.3.3/ref/ucsc_hg38"
